<template>
  <header class="main-header">
    <span class="logo-mini">
      <a href="/"><img src="static/img/gov-logo.png" style="width:50px;height:50px;background: border-box;" alt="Logo" class="img-responsive center-block logo"></a>
    </span>
    <!-- Header Navbar -->
    <nav class="navbar navbar-static-top" role="navigation">
      <!-- Sidebar toggle button-->
      <a href="javascript:;" class="sidebar-toggle" data-toggle="offcanvas" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <!-- <div class="navbar-custom-menu"> -->
        <div class="p-fluid p-formgrid p-grid p-mt-4">
            <div class="p-field p-col-12 p-md-3">
              <span style="color: white;font-size: 13px">
              {{$store.state.organisationName}}</span>
              <span style="color: white;" >{{$store.state.organisationAddress}}</span>
            </div>
            <div class="p-field p-col-12 p-md-3">
              <span style="color: white;" >Fiscal Year:</span>
              <span style="color: white;" >{{$store.state.fyName}}</span>
            </div>
           <div class="p-field p-col-12 p-md-3">
             <ul class="p-ml-4">
               <user-menu :user="user"></user-menu>
             </ul>
           </div>
         </div>
      <!-- </div> -->
      <div class="toast" role="alert" aria-live="assertive" aria-atomic="true">
    </div>
    </nav>
  </header>
</template>

<script>
import { mapState } from 'vuex'
import UserMenu from './UserMenu'

export default {
  name: 'DashHeader',
  components: {
    UserMenu
  },
  props: ['user'],
  computed: {
    ...mapState([
      'userInfo'
    ])
  }
}
</script>
